(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23450,        729]
NotebookOptionsPosition[     22557,        700]
NotebookOutlinePosition[     22936,        716]
CellTagsIndexPosition[     22893,        713]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"seriovy", " ", "rezonancni", " ", "obvod"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"R", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"100", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]0", "=", 
     FractionBox["1", 
      SqrtBox[
       RowBox[{"L", "*", "c"}]]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<\[Omega]0= \>\"", ",", "\[Omega]0", ",", 
     "\"\<  \!\(\*SuperscriptBox[\(s\), \(-1\)]\)\>\"", ",", 
     "\"\<   f0= \!\(\*FractionBox[\(\[Omega]0\), \(2  \[Pi]\)]\)= \>\"", ",", 
     FractionBox["\[Omega]0", 
      RowBox[{"2", "\[Pi]"}]], ",", "\"\<  Hz\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.46824867357476*^9, 3.468248832272957*^9}, 
   3.468249927077208*^9, 3.4682499579215603`*^9, {3.4685599390566425`*^9, 
   3.4685599424316425`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"U1", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Uc", "=", 
   RowBox[{
    FractionBox[
     FractionBox["1", 
      RowBox[{"I", "*", "\[Omega]", "*", "c"}]], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "*", "U1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UL", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"I", "*", "\[Omega]", "*", "L"}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "*", "U1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UR", "=", 
   RowBox[{
    FractionBox["R", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "*", "U1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ps", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Thick", ",", "#"}], "}"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", "Uc", "]"}], ",", 
     RowBox[{"Abs", "[", 
      RowBox[{"UL", "+", "UR"}], "]"}], ",", 
     RowBox[{"Abs", "[", "U1", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", 
     RowBox[{"0.1", "\[Omega]0"}], ",", 
     RowBox[{"10", "\[Omega]0"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0.001", ",", "50"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<\!\(\*
StyleBox[\"Uc\",
FontColor->RGBColor[0, 1, 0]]\),\!\(\*
StyleBox[\"UL\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"+\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"Ur\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"Uv\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4682488565979347`*^9, 3.4682490078153744`*^9}, {
  3.4682495939782352`*^9, 3.468249784141677*^9}, {3.4682500543702464`*^9, 
  3.4682501061647234`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "paralelni", " ", "rezonancni", " ", "obvod", " ", "napajeny", " ", 
   "zdojem", " ", "napeti"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4685599819472675`*^9, 3.4685599968691425`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Z", "=", 
   FractionBox["1", 
    RowBox[{
     RowBox[{"I", "*", "\[Omega]", "*", "c"}], "+", 
     FractionBox["1", 
      RowBox[{"R", "+", 
       RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"I1", "=", 
   FractionBox["U1", "Z"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ILR", "=", 
   FractionBox["U1", 
    RowBox[{"R", "+", 
     RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ic", "=", 
   FractionBox["U1", 
    FractionBox["1", 
     RowBox[{"I", "*", "\[Omega]", "*", "c"}]]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", "I1", "]"}], ",", 
     RowBox[{"Abs", "[", "ILR", "]"}], ",", 
     RowBox[{"Abs", "[", "Ic", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", 
     RowBox[{"0.1", "\[Omega]0"}], ",", 
     RowBox[{"10", "\[Omega]0"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0.001", ",", "0.5"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<\!\(\*
StyleBox[\"ILR\",
FontColor->RGBColor[0, 1, 0]]\),\!\(\*
StyleBox[\"I1\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"Ic\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"A\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"]\",
FontColor->GrayLevel[0]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.468249076984835*^9, 3.4682492209218063`*^9}, {
  3.4682511037091217`*^9, 3.4682511041898127`*^9}, {3.468251160080179*^9, 
  3.4682511808901024`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "paralelni", " ", "rezonancni", " ", "obvod", " ", "napajeny", " ", 
   "zdojem", " ", "proudu"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4685600068691425`*^9, 3.4685600084628925`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"I1", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ILR", "=", 
   RowBox[{"I1", "*", 
    FractionBox[
     FractionBox["1", 
      RowBox[{"R", "+", 
       RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"R", "+", 
        RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "c"}]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ic", "=", 
   RowBox[{"I1", "*", 
    FractionBox[
     RowBox[{"I", "*", "\[Omega]", "*", "c"}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"R", "+", 
        RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "c"}]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", "I1", "]"}], ",", 
     RowBox[{"Abs", "[", "ILR", "]"}], ",", 
     RowBox[{"Abs", "[", "Ic", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", 
     RowBox[{"0.1", "\[Omega]0"}], ",", 
     RowBox[{"10", "\[Omega]0"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0.001", ",", "30"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<\!\(\*
StyleBox[\"ILR\",
FontColor->RGBColor[0, 1, 0]]\),\!\(\*
StyleBox[\"I1\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"Ic\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"A\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"]\",
FontColor->GrayLevel[0]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4682510994830446`*^9, 3.4682511351843805`*^9}, {
  3.4682511719572573`*^9, 3.4682512742243104`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"**", "**"}], "**"}], "**", "**", "SDtejnosmerny"}], " ", 
   "ustaleny", " ", 
   RowBox[{"stav", "**", "**", "**", "**"}]}], "******)"}]], "Input",
 CellChangeTimes->{{3.468424103525016*^9, 3.4684241189572062`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"R", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"i", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u", "=", 
   RowBox[{"R", "*", "i"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<P= \>\"", ",", 
   RowBox[{"i", "*", "u"}], ",", "\"\< W\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"i", "*", "u"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<p[W]\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.468424122552376*^9, 3.4684242138736897`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"**", "**"}], "**"}], "**", "**", "HUS", "**", "**", "**", "**"}],
   "******)"}]], "Input",
 CellChangeTimes->{{3.4684295060334415`*^9, 3.4684295064740753`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Umax", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Imax", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiU", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", "314"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Umax", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "+", "fiU"}], "]"}], "*", "Imax", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "+", "fiI"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "*", 
        FractionBox["Pi", "\[Omega]"]}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "\"\<p[W]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1.1"}], "Umax", "*", "Imax"}], ",", 
          RowBox[{"1.1", "Umax", "*", "Imax"}]}], "}"}]}], "}"}]}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fiI", ",", "fiU"}], "}"}], ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.468424400792465*^9, 3.468424426719747*^9}, {
  3.4684251693275647`*^9, 3.4684253506983633`*^9}, {3.47849462871875*^9, 
  3.4784946355*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"**", "**"}], "**"}], "**", "**", "Odporovy"}], " ", "delic", 
   " ", "z", " ", "casove", " ", "promennych", " ", "odporu", " ", 
   RowBox[{"rezistoru", "**", "**", "**", "**"}]}], "******)"}]], "Input",
 CellChangeTimes->{{3.468429513233795*^9, 3.4684295274642572`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"R1", ",", "R2", ",", "u1", ",", "u2"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u1", "[", "t_", "]"}], ":=", "3.6"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rmax", "=", 
   SuperscriptBox["10", "6"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rmin", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"strmost", "=", 
   SuperscriptBox["10", "2"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"R1", "[", "t_", "]"}], ":=", 
   RowBox[{"Rmin", "+", 
    RowBox[{"Rmax", "*", "0.5", "*", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"Tanh", "[", 
        RowBox[{
         RowBox[{"-", "strmost"}], "*", "t"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"R2", "[", "t_", "]"}], ":=", 
   RowBox[{"Rmin", "+", 
    RowBox[{"Rmax", "*", "0.5", "*", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"Tanh", "[", 
        RowBox[{"strmost", "*", 
         RowBox[{"(", 
          RowBox[{"t", "+", "posun"}], ")"}]}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"R1", "[", "t", "]"}], ",", 
       RowBox[{"R2", "[", "t", "]"}]}], "}"}], "/.", 
     RowBox[{"posun", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"R1\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"\[CapitalOmega]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"R2\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"\[CapitalOmega]\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Blue"}], "}"}]}], 
     "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.468429533793358*^9, 3.4684297794265614`*^9}, {
  3.4684298441496286`*^9, 3.4684298545145326`*^9}, {3.468430061141648*^9, 
  3.4684300691832113`*^9}, {3.468430108139227*^9, 3.468430141657424*^9}, {
  3.468430455188259*^9, 3.468430457962248*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"u2", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"u1", "[", "t", "]"}], "*", 
    FractionBox[
     RowBox[{"R2", "[", "t", "]"}], 
     RowBox[{
      RowBox[{"R1", "[", "t", "]"}], "+", 
      RowBox[{"R2", "[", "t", "]"}]}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"u2", "[", "t", "]"}], ",", 
       RowBox[{"u1", "[", "t", "]"}]}], "}"}], "/.", 
     RowBox[{"posun", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"u1\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"U2\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Blue"}], "}"}]}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p", "[", "t_", "]"}], ":=", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"u1", "[", "t", "]"}], "2"], 
    RowBox[{
     RowBox[{"R1", "[", "t", "]"}], "+", 
     RowBox[{"R2", "[", "t", "]"}]}]]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4684298173210506`*^9, 3.468429969329629*^9}, {
  3.468430077244803*^9, 3.4684300813406925`*^9}, {3.4684301589723215`*^9, 
  3.468430174885203*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"p", "[", "t", "]"}], "/.", 
       RowBox[{"posun", "\[Rule]", "pp"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "\"\<p[W]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Red"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"6", "*", 
           SuperscriptBox["10", 
            RowBox[{"-", "5"}]]}]}], "}"}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"pp", ",", 
     FractionBox[
      RowBox[{"-", "2"}], "strmost"], ",", 
     FractionBox["2", "strmost"]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.468430023377345*^9, 3.4684300351943374`*^9}, {
  3.468430187723664*^9, 3.4684302361833453`*^9}, {3.4684302705627804`*^9, 
  3.4684303889730463`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"**", "**"}], "**"}], "**", "**", "Priklad"}], " ", "medenny", 
   " ", 
   RowBox[{"drat", "**", "**", "**", "**"}]}], "******)"}]], "Input",
 CellChangeTimes->{{3.4684339800267277`*^9, 3.468433984813611*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "u", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", "314"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{"2.", "*", 
    FractionBox["Pi", "\[Omega]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Umax", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u", "=", 
   RowBox[{"Umax", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"\[Omega]", "*", "t"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "=", 
   FractionBox["1.", "57"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"delka", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mm", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prurez", "=", 
   RowBox[{"1", 
    SuperscriptBox["mm", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"objem", "=", 
   RowBox[{"delka", "*", "prurez"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hustota", "=", "8920"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hmotnost", "=", 
   RowBox[{"objem", "*", "hustota"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cp", "=", "384.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"proud", "=", 
   FractionBox["u", "R"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vykon", "=", 
   RowBox[{"u", "*", "proud"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vykonStredni", "=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["Umax", 
       SqrtBox["2"]], ")"}], "2"], "*", 
    FractionBox["1", "R"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tepelneRovniceHUS", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Teplota", "[", "0", "]"}], "\[Equal]", "20"}], ",", 
     RowBox[{
      RowBox[{"hmotnost", "*", "cp", "*", 
       RowBox[{
        RowBox[{"Teplota", "'"}], "[", "t", "]"}]}], "\[Equal]", "vykon"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tepelneRovniceEff", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Teplota", "[", "0", "]"}], "\[Equal]", "20"}], ",", 
     RowBox[{
      RowBox[{"hmotnost", "*", "cp", "*", 
       RowBox[{
        RowBox[{"Teplota", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      "vykonStredni"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"100", "T"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resTeplotaHUS", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"tepelneRovniceHUS", ",", 
      RowBox[{"Teplota", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resTeplotaEff", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"tepelneRovniceEff", ",", 
      RowBox[{"Teplota", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"Teplota", "[", "t", "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{"resTeplotaHUS", ",", "resTeplotaEff"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<Teplota[\[Degree]C]\>\""}], "}"}]}], 
   ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{"Teplota", "[", "t", "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{"resTeplotaHUS", ",", "resTeplotaEff"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"tmax", "-", "T"}], ",", "tmax"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t[s]\>\"", ",", "\"\<Teplota[\[Degree]C]\>\""}], "}"}]}], 
    ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4684339905518622`*^9, 3.4684340751835566`*^9}, {
  3.468434127969459*^9, 3.4684347255887938`*^9}}]
},
WindowSize->{968, 741},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.8000001907348633`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1097, 29, 336, "Input"],
Cell[1645, 51, 2477, 77, 484, "Input"],
Cell[4125, 130, 229, 5, 85, "Input"],
Cell[4357, 137, 1982, 63, 444, "Input"],
Cell[6342, 202, 229, 5, 52, "Input"],
Cell[6574, 209, 2085, 66, 370, "Input"],
Cell[8662, 277, 296, 8, 52, "Input"],
Cell[8961, 287, 774, 21, 213, "Input"],
Cell[9738, 310, 227, 6, 52, "Input"],
Cell[9968, 318, 1590, 44, 382, "Input"],
Cell[11561, 364, 352, 8, 85, "Input"],
Cell[11916, 374, 2726, 84, 375, "Input"],
Cell[14645, 460, 2015, 64, 319, "Input"],
Cell[16663, 526, 1230, 34, 227, "Input"],
Cell[17896, 562, 289, 8, 52, "Input"],
Cell[18188, 572, 4365, 126, 1216, "Input"]
}
]
*)

(* End of internal cache information *)
